%define module	Spreadsheet-WriteExcel
%define name	perl-%{module}
%define version	2.21
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Write cross-platform Excel binary file
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Spreadsheet/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Requires:	perl-Parse-RecDescent
BuildRequires:	perl-Parse-RecDescent
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This package contains the Spreadsheet::WriteExcel perl5 module which
can be used to write (not read) Excel95 binary spreadsheets. It supports
multiple workbook, cell formatting, formulas, hyperlinks and more.

Those spreadsheets will be compatible with Excel 5, 95, 97, 2000,
2002. The generated spreadsheets can also be imported in OpenOffice or
Gnumeric.

%prep
%setup -q -n %{module}-%{version}

# fix perms
chmod 755 examples/*.pl charts/*.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name 'perllocal.pod' -o -name '.packlist' | xargs rm -f

rm -rf %{buildroot}/%{perl_vendorlib}/Spreadsheet/WriteExcel/doc
rm -rf %{buildroot}/%{perl_vendorlib}/Spreadsheet/WriteExcel/examples

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes doc examples charts
%{_bindir}/chartex
%{perl_vendorlib}/Spreadsheet
%{_mandir}/*/*



%changelog
* Tue Mar 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.21-1mdv2008.1
+ Revision: 185192
- update to new version 2.21

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-1mdv2008.1
+ Revision: 97564
- update to new version 2.20

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2008.0
+ Revision: 46659
- update to new version 2.18


* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.17-1mdv2007.0
- New release 2.17

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.16-1mdk
- New release 2.16
- %%mkrel

* Tue Sep 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.15-1mdk
- New release 2.15
- spec cleanup
- better summary
- fix perms and encoding

* Thu Jul 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.14-1mdk
- 2.14

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.11-1mdk
- 2.11
- initial mandrake import

* Thu Sep 02 2004 Francis J. Lacoste <flacoste@logreport.org> 0.43-1
- New upstream release.
  - Rebuilt on Fedora Core 2.

